import { Dependency } from '../../visitors';
import { JavaScriptTypeManifest } from './GetJavaScriptTypeManifestVisitor';
export declare class JavaScriptImportMap {
    protected readonly _imports: Map<Dependency, Set<string>>;
    protected readonly _aliases: Map<Dependency, Record<string, string>>;
    add(module: Dependency, imports: string | string[] | Set<string>): JavaScriptImportMap;
    remove(module: Dependency, imports: string | string[] | Set<string>): JavaScriptImportMap;
    mergeWith(...others: JavaScriptImportMap[]): JavaScriptImportMap;
    mergeWithManifest(manifest: JavaScriptTypeManifest): JavaScriptImportMap;
    addAlias(module: Dependency, name: string, alias: string): JavaScriptImportMap;
    isEmpty(): boolean;
    toString(dependencies: Record<Dependency, string>): string;
}
